%define python_sitelib %(%{__python} -c 'from distutils import sysconfig; print sysconfig.get_python_lib()')

Summary: POP3, IMAP4 and SDPS mail retriever with Maildir delivery
Name: getmail
Version: 4.8.1
Release: 1%{?dist}
License: GPLv2
Group: Applications/Internet
URL: http://pyropus.ca/software/getmail/

Source: http://pyropus.ca/software/getmail/old-versions/getmail-%{version}.tar.gz
Buildroot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildArch: noarch
BuildRequires: python-devel >= 2.3.3
Requires: python >= 2.3.3

%description
getmail is a secure, flexible, reliable and easy-to-use
mail retriever for POP3, IMAP4 and SDPS.
It delivers mail into a Maildir or mbox file.
It is designed to replace other mail retrievers such as fetchmail.
Getmail is written entirely in python.

%prep
%setup -q

%build

%install
%{__rm} -rf %{buildroot}
%{__python} setup.py install --root="%{buildroot}"

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(-, root, root, 0755)
#%doc docs/*
%doc docs/BUGS docs/CHANGELOG docs/COPYING docs/THANKS docs/TODO 
%doc docs/configuration.html docs/configuration.txt docs/documentation.html 
%doc docs/documentation.txt docs/faq.html docs/faq.txt docs/getmaildocs.css 
%doc docs/getmailrc-examples docs/troubleshooting.html docs/troubleshooting.txt
%{_mandir}/man1/getmail.1*
%{_mandir}/man1/getmail_fetch.1*
%{_mandir}/man1/getmail_maildir.1*
%{_mandir}/man1/getmail_mbox.1*
%{_bindir}/getmail
%{_bindir}/getmail_fetch
%{_bindir}/getmail_maildir
%{_bindir}/getmail_mbox
%if 0%{?fedora} >= 9
%{python_sitelib}/*egg-info
%endif
%{python_sitelib}/getmailcore/

%changelog
* Sat Apr 05 2008 Rob Loos <knolderpoor@gmail.com> - 4.8.1-1
- Updated to release 4.8.1
- remove setup.py patch (fixed upstream)

* Mon Mar 03 2008 Rob Loos <knolderpoor@gmail.com> - 4.8.0-1
- Updated to release 4.8.0
- Add python egg
- Patch setup.py (specfile missing)

* Wed Nov 21 2007 Rob Loos <knolderpoor@gmail.com> - 4.7.7-2
- escaping %% characters

* Tue Nov 20 2007 Rob Loos <knolderpoor@gmail.com> - 4.7.7-1
- no longer need to convert CHANGELOG
- added -q to %%setup
- more readable %%doc lines

* Mon Nov 05 2007 Rob Loos <knolderpoor@gmail.com> - 4.7.6-2
- Updated summary and description.
- Don't include manpages in documentation
- Correct license (GPLv2)
- convert CHANGELOG to UTF-8

* Mon Aug 13 2007 Dries Verachtert <dries@ulyssis.org> - 4.7.6-1
- Updated to release 4.7.6.

* Thu Jun 07 2007 Dries Verachtert <dries@ulyssis.org> - 4.7.5-1
- Updated to release 4.7.5.

* Wed May 09 2007 Dries Verachtert <dries@ulyssis.org> - 4.7.4-1
- Updated to release 4.7.4.

* Mon Mar 19 2007 Dries Verachtert <dries@ulyssis.org> - 4.7.3-1
- Updated to release 4.7.3.

* Sun Mar 04 2007 Dag Wieers <dag@wieers.com> - 4.7.2-1
- Initial package. (using DAR)
